Bug 1418428 - Review Request: python-retryz - Retry decorator python lib
Summary: Review Request: python-retryz - Retry decorator python lib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1416920
TreeView+ depends on / blocked
 
Reported: 2017-02-01 19:51 UTC by Eric Harney
Modified: 2017-03-15 18:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:21:38 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Eric Harney 2017-02-01 19:51:04 UTC
Spec URL: https://eharney.fedorapeople.org/python-retryz/0.1.8-1/python-retryz.spec
SRPM URL: https://eharney.fedorapeople.org/python-retryz/0.1.8-1/python-retryz-0.1.8-1.src.rpm
Description: Retry decorator python lib
Fedora Account System Username: eharney


This is being packaged to support an EMC driver in OpenStack Cinder.  It is a requirement for python-storops.

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-02-04 17:01:44 UTC
Source0:        https://pypi.python.org/packages/a8/5b/35f5e9c23b533a676b831c695671b54d2d0781d121989ee07bf80c290f78/retryz-0.1.8.zip
→ use %{version}

%global summary Retry decorator with a bunch of configuration parameters
Summary:        %{summary}
→ just put the text in Summary:, this will also define the macro by itself. You can use it below.

%description should end in a dot.

py.test-2.7 → py.test-2, not that it matters too much.

+ package name is OK
+ license is acceptable (ASL 2.0)
+ license is specified correctly
+ modern python packaging template is used
+ P/R/BR look correct
+ %python_provide are present
+ builds and installs OK
- fedora-review flags an issue:
dist tag is not present. See https://fedoraproject.org/wiki/Packaging:DistTag.

Package is APPROVED. Please fix the %description and Release fields when uploading, and consider the other changes suggested above.

Comment 2 Alan Pevec (Fedora) 2017-02-04 22:21:59 UTC
> Source0:        https://pypi.python.org/packages/a8/5b/35f5e9c23b533a676b831c695671b54d2d0781d121989ee07bf80c290f78/retryz-0.1.8.zip
> → use %{version}

You can also use pypi.io to avoid hashes in the source url, also using macros so that for version update you just need to change Version: field


Source0:        https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n:0:1})
/%{pypi_name}/%{pypi_name}-%{version}.zip

Comment 3 Gwyn Ciesla 2017-02-06 15:44:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-retryz

Comment 4 Fedora Update System 2017-02-06 16:51:10 UTC
python-retryz-0.1.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ddce57510

Comment 5 Fedora Update System 2017-02-07 02:49:42 UTC
python-retryz-0.1.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ddce57510

Comment 6 Fedora Update System 2017-03-15 18:21:38 UTC
python-retryz-0.1.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.